PLplot: PLCairo Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
PLCairo Struct Reference

## Public Attributes
cairo_surface_t * | cairoSurface
cairo_t * | cairoContext
cairo_surface_t * | cairoSurface_raster
cairo_t * | cairoContext_raster
short | text_clipping
short | text_anti_aliasing
short | graphics_anti_aliasing
short | rasterize_image
short | set_background
short | image_buffering
double | downscale
char * | pangoMarkupString
short | upDown
float | fontSize
short | uline
PLFLT | old_sscale
PLFLT | sscale
PLFLT | old_soffset
PLFLT | soffset
PLINT | level

## Detailed Description

Definition at line 96 of file cairo.c.

## Member Data Documentation

## ◆ cairoContext

cairo_t* PLCairo::cairoContext

Definition at line 99 of file cairo.c.

## ◆ cairoContext_raster

cairo_t* PLCairo::cairoContext_raster

Definition at line 101 of file cairo.c.

## ◆ cairoSurface

cairo_surface_t* PLCairo::cairoSurface

Definition at line 98 of file cairo.c.

## ◆ cairoSurface_raster

cairo_surface_t* PLCairo::cairoSurface_raster

Definition at line 100 of file cairo.c.

## ◆ downscale

double PLCairo::downscale

Definition at line 108 of file cairo.c.

## ◆ fontSize

float PLCairo::fontSize

Definition at line 111 of file cairo.c.

## ◆ graphics_anti_aliasing

short PLCairo::graphics_anti_aliasing

Definition at line 104 of file cairo.c.

## ◆ image_buffering

short PLCairo::image_buffering

Definition at line 107 of file cairo.c.

## ◆ level

PLINT PLCairo::level

Definition at line 121 of file cairo.c.

## ◆ old_soffset

PLFLT PLCairo::old_soffset

Definition at line 120 of file cairo.c.

## ◆ old_sscale

PLFLT PLCairo::old_sscale

Definition at line 120 of file cairo.c.

## ◆ pangoMarkupString

char* PLCairo::pangoMarkupString

Definition at line 109 of file cairo.c.

## ◆ rasterize_image

short PLCairo::rasterize_image

Definition at line 105 of file cairo.c.

## ◆ set_background

short PLCairo::set_background

Definition at line 106 of file cairo.c.

## ◆ soffset

PLFLT PLCairo::soffset

Definition at line 120 of file cairo.c.

## ◆ sscale

PLFLT PLCairo::sscale

Definition at line 120 of file cairo.c.

## ◆ text_anti_aliasing

short PLCairo::text_anti_aliasing

Definition at line 103 of file cairo.c.

## ◆ text_clipping

short PLCairo::text_clipping

Definition at line 102 of file cairo.c.

## ◆ uline

short PLCairo::uline

Definition at line 112 of file cairo.c.

## ◆ upDown

short PLCairo::upDown

Definition at line 110 of file cairo.c.

The documentation for this struct was generated from the following file:

- cairo.c